function Read-Config {
    [CmdletBinding()]
    [OutputType([PSCustomObject])]
    param ()

    # Get path to the LS Insight module folder.
    $insightModuleFolder = (Get-Item $PSScriptRoot).Parent
    
    # Get path to the config file.
    $configFile = Join-Path -Path $insightModuleFolder.FullName -ChildPath 'config.json'

    # Read contents of the config file.
    $config = Get-Content -Path $configFile | Out-String | ConvertFrom-Json

    return $config
}